package com.lightinit.hsdataportal.dictionary;

import java.util.LinkedHashMap;

/**
 * Created by WangYao on 2018/5/21.
 */
public class DicRoadShowState {

    public static final String PENDING = "审核中";
    public static final String APPROVED="审核通过";
    public static final String REJECTED = "审核不通过";

    private static DicRoadShowState instance = null;
    private static LinkedHashMap<String, String> dicMap = null;

    private DicRoadShowState(){
        dicMap = new LinkedHashMap<String, String>();
        dicMap.put(PENDING, PENDING);
        dicMap.put(APPROVED,APPROVED);
        dicMap.put(REJECTED, REJECTED);
    }

    public static DicRoadShowState getInstacne(){
        if (instance == null)
        {
            instance = new DicRoadShowState();
        }
        return instance;
    }

    public LinkedHashMap<String, String> getDicMap() {
        return (LinkedHashMap<String, String>)dicMap.clone();
    }
}
